package com.bonus.hn.bearing.capacity.backstage.teamset.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.DataDictBean;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.ResourceManage;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.ResourceSetBean;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.StringDataBean;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author xliu
 * @date 2023/11/7 21:24
 */
@Repository(value = "TeamSetDao")
public interface TeamSetDao {

    List<ResourceSetBean> getTeamSetByType(ResourceSetBean bean);

    int getTeamByLevelAndName(ResourceSetBean bean);

    int addResourceSet(ResourceSetBean bean);

    int updateResourceSet(ResourceSetBean bean);

    int addResourceManage(ResourceManage bean);

    int updateResourceManage(ResourceManage bean);

    int updateTeamSetStatus(ResourceSetBean bean);

    List<DataDictBean> getDataDictByDickValModify(DataDictBean o);

    int delTeamSet(StringDataBean bean);

    int delDataDict(StringDataBean bean);

    int addDataDict(DataDictBean bean);
    int updateDataDict(DataDictBean bean);

    String getDataDictIdByType(String orgType);

    int getManageSortByManageResourceId(String resourceSetId);

    int getTeamByTeamTypeAndName(ResourceSetBean bean);

    int getUseNumByResourceId(String resourceId,String type);
}
